- Main Page
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TAO_PSDL_Interface_Visitor Class Reference

`#include <PSDL_Interface_Visitor.h>`

Inheritance diagram for TAO_PSDL_Interface_Visitor:

[legend]
Collaboration diagram for TAO_PSDL_Interface_Visitor:

[legend]
List of all members.

## Public Member Functions
| TAO_PSDL_Interface_Visitor ()
| ~TAO_PSDL_Interface_Visitor ()
int | visit_identifier (TAO_PSDL_Identifier *identifier)
int | visit_forward_dcl (TAO_PSDL_Forward_Dcl *forward_dcl)
int | visit_interface_dcl (TAO_PSDL_Interface_Dcl *interface_dcl)
int | visit_interface_header (TAO_PSDL_Interface_Header *interface_header)
void | gen_code_for_si (void)
## Private Member Functions
void | print_for_forward_dcl (void)
void | print_class_for_interface (void)
void | print_end_for_interface (void)
## Private Attributes
CORBA::Boolean | forward_dcl_
ACE_CString | interface_name_

## Constructor & Destructor Documentation

TAO_PSDL_Interface_Visitor::TAO_PSDL_Interface_Visitor | ( |  | ) |

TAO_PSDL_Interface_Visitor::~TAO_PSDL_Interface_Visitor | ( |  | ) |

## Member Function Documentation

void TAO_PSDL_Interface_Visitor::gen_code_for_si | ( | void |  | ) | `[virtual]`

Reimplemented from TAO_PSDL_Node_Visitor.

void TAO_PSDL_Interface_Visitor::print_class_for_interface | ( | void |  | ) | `[private]`

void TAO_PSDL_Interface_Visitor::print_end_for_interface | ( | void |  | ) | `[private]`

void TAO_PSDL_Interface_Visitor::print_for_forward_dcl | ( | void |  | ) | `[private]`

int TAO_PSDL_Interface_Visitor::visit_forward_dcl | ( | TAO_PSDL_Forward_Dcl * | forward_dcl | ) | `[virtual]`

Reimplemented from TAO_PSDL_Node_Visitor.

int TAO_PSDL_Interface_Visitor::visit_identifier | ( | TAO_PSDL_Identifier * | identifier | ) | `[virtual]`

Reimplemented from TAO_PSDL_Node_Visitor.

int TAO_PSDL_Interface_Visitor::visit_interface_dcl | ( | TAO_PSDL_Interface_Dcl * | interface_dcl | ) | `[virtual]`

Reimplemented from TAO_PSDL_Node_Visitor.

int TAO_PSDL_Interface_Visitor::visit_interface_header | ( | TAO_PSDL_Interface_Header * | interface_header | ) | `[virtual]`

Reimplemented from TAO_PSDL_Node_Visitor.

## Member Data Documentation

CORBA::Boolean TAO_PSDL_Interface_Visitor::forward_dcl_`[private]`

ACE_CString TAO_PSDL_Interface_Visitor::interface_name_`[private]`

The documentation for this class was generated from the following files:

- PSDL_Interface_Visitor.h
- PSDL_Interface_Visitor.cpp